# 中文输入法支持插件

* 开发： 沉浮
* 赞助： [NVDA 中文社区][1]2019[插件“抢救计划”参与者][2]
* 兼容： NVDA2021.2以上
* [更新日志](./changes.html)

---

**该插件从中文输入习惯和输入效率两方面，对 NVDA 屏幕阅读器的中文输入体验进行了改进。输入习惯上，全方位兼容国内视障用户的听打输入习惯，而输入效率方面，除了可感知的响应提升以外，还在屏幕阅读器端创新的实现了以词定字功能。**

## 输入法适配情况

以下输入法均在在本插件支持范围内，但搜狗系列输入法相较于微软拼音效率更优，可以带来最佳的使用体验。  
另：推荐使用[搜狗拼音官方版][3]，最新版的设置面板进行了全方位的无障碍适配。

1. 搜狗拼音输入法；
2. 搜狗拼音输入法智慧版；
3. 搜狗五笔输入法；
4. QQ 拼音输入法；
5. 微软拼音输入法；
6. 微软五笔输入法。


## 功能特性

1. 支持输入法候选字的朗读 / 解释；
2. 支持输入内容的上屏朗读；
3. 支持独立于输入法的以词定字功能，默认按键为左方括号“【[”、右方括号“]”；
4. 支持在输入区移动候选项：
    - NVDA+S：上一个候选；
    - NVDA+F：下一个候选；
5. 支持设置个性化朗读方式；
6. 支持对搜狗拼音输入法（含智慧版和搜狗五笔）“属性设置”、“设置向导”、“卸载向导”的朗读；
7. 对“本地输入/字母数字输入”、“全/半角”、“中/英标点”的切换朗读进行了简化。

## 安装 / 设置

您可以按照 NVDA 插件包的常规安装方法进行本插件的安装。在您安装本插件后按 NVDA +N 打开 NVDA 菜单，依次转到“选项” > “设置” > “输入法”类别下可以进行朗读方式的调整。

### 个性化朗读方式

**以下选项控制了在中文输入状态下每次机键的行为。**

1. “自动朗读所有候选项”：按顺序朗读候选列表中的可用候选字，按下相应数字序号可使对应的候选字上屏；
2. “输入法解释方式”：控制是否（或对几个）候选项进行组词解释，目前包括：
    - 不解释
    - 单字解释
    - 双字解释
    - 三字解释
    - 四字解释
    - 全解释
3. “解释前先朗读候选项”： 控制在什么条件下先读一遍后选项再进行组词解释，目前包括：
    - 从1个字开始
    - 从2个字开始
    - 从3个字开始
    - 从4个字开始
    - 从5个字开始
    - 从6个字开始
    - 不朗读
3. “以词定字按键”： 用于快速组词录入，目前提供三种以词定字按键方案（左 / 右方括号、逗号 / 句号、上 / 下翻页），如您不使用该功能可设置为“无”；
4. “读出上屏内容”： 决定每次敲击空格（上平）后是否读出上屏的内容。



### 搜狗拼音输入法（含智慧版）设置

**对搜狗拼音输入法进行以下设置（可选）**

1. 在开始菜单的“搜狗拼音输入法”文件夹下找到“设置”并打开；
2. 随后找到“外观”选项卡：
  - 取消选中“候选窗口跟随光标”选项
3. 点“确定”按钮保存设置（某些版本无需该操作）

## 已知问题

以下列出已知但因各种原因尚未实现的功能特性和支持缺陷，将会在以后版本中陆续完善。

1. UWP： “便笺”应用，在开启 NVDA 高级设置中的“为 UI Automation 接口属性更改启用选择性注册”选项时，使用微软拼音输入法键入标点、数字/字母，退格删除无法读出；
2. UWP： “OneNote” 应用，搜狗拼音输入法（含智慧版）候选字 / 解释无法正常读出；
3. 在 QQ 若进行过修改群名片，修改备注等操作后可能会出现上平朗读不正常，重新启动 QQ 即可解决。

## 更多信息

有关本插件的后续更新以及 NVDA 的更多中文资讯欢迎访问 [NVDA 中文站 www.nvdacn.com][1]。

[1]:https://www.nvdacn.com/
[2]:https://nvdacn.com/index.php/archives/806/
[3]: https://shurufa.sogou.com/
